<?php
$page_number_code = 3000;
include "admin_header.php";
check_permit("","8,9,10","권한이 없습니다.","admin_login.php?".get_qstring());

if(!$ps_etc_uid){
	error_msg("폼코드가 없습니다.");
	exit;
}

//폼생성정보
$etc_config = hd_fetch(hd_query("select *from morning_etc_config_table where uid = '$ps_etc_uid'"));

$morning_form_table = "morning_form_table";

$morning_form_schema = "
create table morning_form_table (
   uid                   int(11) unsigned not null auto_increment,
   etcconfig_uid			int(11) default '0' not null,

   user_id				varchar(200),
   user_name			varchar(200),
   user_tel			 varchar(200),
   user_email			 varchar(200),
   model			 varchar(200),
   category			 varchar(200),
   user_birth		varchar(200),
   user_phone		varchar(200),
   user_address		varchar(200),
   addtext1_title			 varchar(200),
   addtext2_title			 varchar(200),
   addtext3_title			 varchar(200),
   addtext4_title			 varchar(200),
   addtext5_title			 varchar(200),
   addtext6_title			 varchar(200),
   addtext7_title			 varchar(200),
   addtext8_title			 varchar(200),
   addtext9_title			 varchar(200),
   addtext10_title			 varchar(200),
   addtext11_title			 varchar(200),
   addtext12_title			 varchar(200),
   addtext13_title			 varchar(200),
   addtext14_title			 varchar(200),
   addtext15_title			 varchar(200),
   addtext1_value			 varchar(200),
   addtext2_value			 varchar(200),
   addtext3_value			 varchar(200),
   addtext4_value			 varchar(200),
   addtext5_value			 varchar(200),
   addtext6_value			 varchar(200),
   addtext7_value			 varchar(200),
   addtext8_value			 varchar(200),
   addtext9_value			 varchar(200),
   addtext10_value			 varchar(200),
   addtext11_value			 varchar(200),
   addtext12_value			 varchar(200),
   addtext13_value			 varchar(200),
   addtext14_value			 varchar(200),
   addtext15_value			 varchar(200),
   board_fname1			 varchar(200),
   board_fname2			 varchar(200),
   
   body					 text,


   register_date		 int(11),
   from_tel				 varchar(20),
   state				 int(1) default '0' not null,
   etc					 text,

   primary key (uid),
   key user_name (user_name),
   key user_tel (user_tel)
) ";
//hd_query("drop table $morning_form_table");
//hd_query($morning_form_schema);

$set_db = array(
					  "user_name"		  => "홍길동",
					  "user_tel"          => "010-3071-1195",
					  "model"			  => "싼타페",
					  "category"		  => str_replace("www.","",$g_user_host),
					  "register_date"     => $g_now_time

	);
//hd_insert($morning_form_table,$set_db);

if(!$_GET["sy"]){
	$_GET["sy"] = date("Y")-1;
}
$date_v =get_date_search_value();
extract($date_v);

// ----------------------------------------------------------
// 상태변경
// ----------------------------------------------------------
if($amode == "state_chang"){
	hd_query("update $morning_form_table set state = '$ps_state' where uid='$_GET[ps_uid]'");
}

// ----------------------------------------------------------
// 삭제
// ----------------------------------------------------------
if($amode == "delete"){
	hd_query("delete from $morning_form_table where uid='$_GET[ps_uid]'");
}

// ----------------------------------------------------------
// 메모입력
// ----------------------------------------------------------
if($amode3 == "write"){
	$etc = addslashes($etc);
	hd_query("update $morning_form_table set etc='$etc' where uid='$_POST[ps_uid]'");
} 



$serch_sql = " where etcconfig_uid = '$ps_etc_uid'";


if($ps_str) $serch_sql .= " and (user_name like '%$ps_str%' or replace(user_tel, '-', '')  like '%".str_replace("-","",$ps_str)."%' or etc like '%$ps_str%' or user_address like '%$ps_str%' or addtext1_value like '%$ps_str%' or addtext2_value like '%$ps_str%' or addtext3_value like '%$ps_str%')";

if($start_date){
	$serch_sql .= " and register_date >= '$start_date' and  register_date <= '$end_date'";
}

if($ps_category){
	$serch_sql .= " and category >= '$ps_category'";
}

//검색
$total_count = hd_count("$morning_form_table", "uid", "$serch_sql");

$list_num = 30;
$page_num = 10;

// 전체 페이지 계산
$total_page  = @ceil($total_count / $list_num);

// 페이지가 없으면 첫 페이지 (1 페이지)
if ($ps_page == "") $ps_page = 1;
$from_record = ($ps_page - 1) * $list_num;
$counter = $total_count - (($ps_page - 1) * $list_num);

$query = "select * from $morning_form_table $serch_sql order by uid desc limit $from_record, $list_num";
$result = hd_query($query);
?>

		<h2 class="h2_title"><?=$etc_config[title]?> 접수내역</h2>

			<form action='' method='GET' style="margin:0" name="search_form">
			<input type="hidden" name="ps_secretmode" value="<?=$ps_secretmode?>">
			<input type="hidden" name="amode" value="">
			<input type="hidden" name="amode2" value="search">
			<input type="hidden" name="start_date" value="<?=$start_date?>">
			<input type="hidden" name="end_date" value="<?=$end_date?>">

				<div style="display:flex;justify-content:space-between;align-items:center;margin-bottom:5px">



					<table border="0" cellspacing="0" cellpadding="0" align=right>
					  <tr>
						<td style="display:none">
							<select name="ps_category" id="">
								<option value="">전체</option>
								<?
								$result2 = hd_query("select count(uid) as sum, category from $morning_form_table group by category");
								while($list2 = hd_fetch($result2)) {
									$selected ="";
									if($list2[category] == $ps_category){
										$selected ="selected";
									}
								?>
								<option value="<?=$list2[category]?>" <?=$selected?>><?=$list2[category]?></option>
								<? } ?>
							</select>
						</td>
						<td style='padding-left:3px;'><input type="text" name="ps_str" value="<?=$ps_str?>" class="input_" style='width:150px;padding:10px' placeholder="검색어"></td>
						<td style='padding-left:3px;'>
							<? print_date_search_field($date_v); ?> 
						</td>
						<td style='padding-left:3px'>
								<a href="#none" onclick="document.search_form.submit()" class="bts fontsize12 black">검색</a>
						</td>
					  </tr>
					</table>

					<!-- <a href="admin_excel.php?amode=formmail&ps_etc_uid=<?=$ps_etc_uid?>" class="bts_ani">액셀다운</a> -->
				</div>
			
			</form>



			<!-- 메모작성 -->
			<div class="memo_write" action="<?=$PHP_SELF?>?<?=get_qstring()?>" style="position:absolute; z-index:3001; left:0px; top:0px;background-color:#ffffff;border:2px solid #000000;padding:10px;display:none"> 
				<form method='POST' name="morning" style="margin:0">
				<input type="hidden" name="ps_uid" value="">
				<input type="hidden" name="amode3" value="write">
					<div style='padding-bottom:5px'>메모를 작성합니다.</div>
					<textarea name="etc" class="etc input_" cols="50" rows="5" style='width:400px;height:100px;vertical-align:middle'></textarea> <input type="submit" value="저장" class="input_" style='width:50px;height:100px;vertical-align:middle;cursor:pointer'>
				</form>
			</div>
			<div id="back_bg" onclick="set_memo_close()" style='display:none'>&nbsp;</div>

			<script type="text/javascript">
			function set_memo(uid,memo){
				memo = memo.replace(/‡/g, '\r\n'); 

				$("input:hidden[name='ps_uid']").val(uid);
				$(".etc").val(memo);

				//암전
				var documentwidth = $(document).width();
				var documentheight = $(document).height();
				var top1 = $(window).scrollTop();
				$("#back_bg").css({"position":"absolute","width":documentwidth,"height":documentheight,"z-index":"3000","left":"0px","top":"0px","background":"#000000"}).fadeTo("show",0.7);	

				$(".memo_write").css({"left":(documentwidth/2-300),"top":(top1+200)});
				$(".memo_write").show();
			}
			function set_memo_close(){
				$(".memo_write").hide();
				$("#back_bg").hide();
			}
			</script>
			<!--// 메모작성 -->

			<?
			function use_etc_check($v){
				if(!$v){
					return "display_none";
				}
			}
			?>

			<style type="text/css">
			.display_none{display:none}
			</style>

			<table width="100%" border="1" bordercolor="#dddddd" cellspacing="0" cellpadding="5" align="center" class="tb_list_main">
			  <tr>
				<th width="50">번호</th>
				<th width="190" style="display:none">호스트</th>

				<th class="<?=use_etc_check($etc_config[basic1_chk])?>" width="100" >이름</th>				
				<th class="<?=use_etc_check($etc_config[basic2_chk])?>">이메일</th>

				<th class="<?=use_etc_check($etc_config[basic4_chk])?>">전화</th>
				<th class="<?=use_etc_check($etc_config[basic5_chk])?>">휴대폰</th>
				<th class="<?=use_etc_check($etc_config[basic6_chk])?>">생년월일</th>
				<th class="<?=use_etc_check($etc_config[basic3_chk])?>">주소</th>
				<th class="<?=use_etc_check($etc_config[basic7_chk])?>">내용</th>
				<th class="<?=use_etc_check($etc_config[basic8_chk])?>">첨부1</th>
				<th class="<?=use_etc_check($etc_config[basic9_chk])?>">첨부2</th>
				<th class="<?=use_etc_check($etc_config[addtext1_chk])?>"><?=$etc_config[addtext1_title]?></th>
				<th class="<?=use_etc_check($etc_config[addtext2_chk])?>"><?=$etc_config[addtext2_title]?></th>
				<th class="<?=use_etc_check($etc_config[addtext3_chk])?>"><?=$etc_config[addtext3_title]?></th>
				<th class="<?=use_etc_check($etc_config[addtext4_chk])?>"><?=$etc_config[addtext4_title]?></th>
				<th class="<?=use_etc_check($etc_config[addtext5_chk])?>"><?=$etc_config[addtext5_title]?></th>
				<th class="<?=use_etc_check($etc_config[addtext6_chk])?>"><?=$etc_config[addtext6_title]?></th>
				<th class="<?=use_etc_check($etc_config[addtext7_chk])?>"><?=$etc_config[addtext7_title]?></th>
				<th class="<?=use_etc_check($etc_config[addtext8_chk])?>"><?=$etc_config[addtext8_title]?></th>
				<th class="<?=use_etc_check($etc_config[addtext9_chk])?>"><?=$etc_config[addtext9_title]?></th>
				<th class="<?=use_etc_check($etc_config[addtext10_chk])?>"><?=$etc_config[addtext10_title]?></th>
				<th class="<?=use_etc_check($etc_config[addtext11_chk])?>"><?=$etc_config[addtext11_title]?></th>
				<th class="<?=use_etc_check($etc_config[addtext12_chk])?>"><?=$etc_config[addtext12_title]?></th>
				<th class="<?=use_etc_check($etc_config[addtext13_chk])?>"><?=$etc_config[addtext13_title]?></th>
				<th class="<?=use_etc_check($etc_config[addtext14_chk])?>"><?=$etc_config[addtext14_title]?></th>
				<th class="<?=use_etc_check($etc_config[addtext15_chk])?>"><?=$etc_config[addtext15_title]?></th>

				<th width="140">날짜</th>
				<th >메모</th>
				<th width="50">확인</th>
				<th width="50">삭제</th>
			  </tr>
			  <?
			  while($list = hd_fetch($result)) {
			  ?>
			  <tr <? if($list[state] > 0){ echo"style='background-color:#e9e9e9'"; }?>>
				<td><?=$counter?></td>
				<td style="display:none"><?=$list[category]?></td>

				<td class="<?=use_etc_check($etc_config[basic1_chk])?>"><?=$list[user_name]?></td>
				<td class="<?=use_etc_check($etc_config[basic2_chk])?>"><?=$list[send_email]?></td>
				<td class="<?=use_etc_check($etc_config[basic4_chk])?>"><?=$list[user_tel]?></td>
				<td class="<?=use_etc_check($etc_config[basic5_chk])?>"><?=$list[user_phone]?></td>
				<td class="<?=use_etc_check($etc_config[basic6_chk])?>"><?=$list[user_birth]?></td>
				<td class="<?=use_etc_check($etc_config[basic3_chk])?>"><?=$list[user_address]?></td>
				<td class="<?=use_etc_check($etc_config[basic7_chk])?>"><?=$list[body]?></td>
				<td class="<?=use_etc_check($etc_config[basic8_chk])?>"><?=$list[board_fname1]?></td>
				<td class="<?=use_etc_check($etc_config[basic9_chk])?>"><?=$list[board_fname2]?></td>
				<td class="<?=use_etc_check($etc_config[addtext1_chk])?>"><?=$list[addtext1_value]?></td>
				<td class="<?=use_etc_check($etc_config[addtext2_chk])?>"><?=$list[addtext2_value]?></td>
				<td class="<?=use_etc_check($etc_config[addtext3_chk])?>"><?=$list[addtext3_value]?></td>
				<td class="<?=use_etc_check($etc_config[addtext4_chk])?>"><?=$list[addtext4_value]?></td>
				<td class="<?=use_etc_check($etc_config[addtext5_chk])?>"><?=$list[addtext5_value]?></td>
				<td class="<?=use_etc_check($etc_config[addtext6_chk])?>"><?=$list[addtext6_value]?></td>
				<td class="<?=use_etc_check($etc_config[addtext7_chk])?>"><?=$list[addtext7_value]?></td>
				<td class="<?=use_etc_check($etc_config[addtext8_chk])?>"><?=$list[addtext8_value]?></td>
				<td class="<?=use_etc_check($etc_config[addtext9_chk])?>"><?=$list[addtext9_value]?></td>
				<td class="<?=use_etc_check($etc_config[addtext10_chk])?>"><?=$list[addtext10_value]?></td>
				<td class="<?=use_etc_check($etc_config[addtext11_chk])?>"><?=$list[addtext11_value]?></td>
				<td class="<?=use_etc_check($etc_config[addtext12_chk])?>"><?=$list[addtext12_value]?></td>
				<td class="<?=use_etc_check($etc_config[addtext13_chk])?>"><?=$list[addtext13_value]?></td>
				<td class="<?=use_etc_check($etc_config[addtext14_chk])?>"><?=$list[addtext14_value]?></td>
				<td class="<?=use_etc_check($etc_config[addtext15_chk])?>"><?=$list[addtext15_value]?></td>

				<td><?=date("Y-m-d H:i",$list[register_date])?></td>
				<td title="클릭해서 메모를 작성하세요." onclick="set_memo('<?=$list[uid]?>','<?=str_replace("\"","",str_replace("\'","",str_replace("\r\n","‡",$list[etc])))?>')" style='cursor:pointer'><?=$list[etc]?></td>
				<td>
					<? if(!$list[target_uid]){ ?>
						<? if($list[state] < 1){ ?>
							<a href="<?=$PHP_SELF?>?<?=get_qstring(array("ps_uid"=>"$list[uid]","ps_state"=>"1","amode"=>"state_chang"))?>" alt="단순확인용으로 처리합니다. (다시 클릭하면 복원됩니다.)" class="bts fontsize11 white">확인</a>
						<? }else{ ?>
							<a href="<?=$PHP_SELF?>?<?=get_qstring(array("ps_uid"=>"$list[uid]","ps_state"=>"0","amode"=>"state_chang"))?>">-</a>
						<? } ?>
					<? } ?>
				</td>
				<td>
					<a href="<?=$PHP_SELF?>?<?=get_qstring(array("ps_uid"=>"$list[uid]","ps_state"=>"0","amode"=>"delete"))?>" class="bts fontsize11 white" onClick="if(confirm('정말 삭제하시겠습니까?')){return true;}else{return false;}">삭제</a>
				</td>
			  </tr>
			  <? $counter--;} ?>
			  <? if(!$total_count){ ?>
			  <tr>
				<td colspan="9" style='text-align:center;padding:20px'>
					내역이 없습니다.
				</td>
			  </tr>
			  <? } ?>
			</table>


			<table border="0" cellspacing="0" cellpadding="0" align="center" style='margin:0 auto'>
			  <tr>
				<td>
					<?
					$page_link_text = "$PHP_SELF?".get_qstring(array("ps_page"=>""))."&ps_page=";
					$page_list = page_list($ps_page, $total_page, $list_num, $page_num,$page_link_text);
					if ($page_list != "") {
					echo "&nbsp;".$page_list."&nbsp;";
					}
					?>
				</td>
			  </tr>
			</table>




			<iframe src='' name="target_iframe" width=0 height=0 frameborder=0 scrolling=no marginwidth=0 marginheight=0 leftmargin=0 topmargin=0></iframe> 
<? 
include "admin_bottom.php"; 
?>